<template>
  <div>
    <header_nav></header_nav>
    <main_slider></main_slider>
    <our_advantage></our_advantage>
    <our_services></our_services>
    <solve_solution :description="description"></solve_solution>
    <!-- <text_slider></text_slider> -->
    <!-- <tech_analytics></tech_analytics> -->
    <!-- <budget_analytics></budget_analytics> -->
    <!-- <manage_way></manage_way> -->
    <!-- <tech_support></tech_support> -->
    <!-- <documents></documents> -->
    <!-- <road_map></road_map> -->
    <!-- <recent_news></recent_news> -->
    <news_block></news_block>
    <deal_platform></deal_platform>
    <!-- <site_map></site_map> -->
    <foot></foot>
  </div>
</template>
<script>
require('../assets/index.css');
import header_nav from '../modules/header.vue'
import main_slider from '../modules/main_slider.vue'
import text_slider from '../modules/text_slider.vue'
import tech_analytics from '../modules/tech_analytics.vue'
import budget_analytics from '../modules/budget_analytics.vue'
import our_advantage from '../modules/our_advantage.vue'
import our_services from '../modules/our_services.vue'
import solve_solution from '../modules/solve_solution.vue'
import manage_way from '../modules/manage_way.vue'
import tech_support from '../modules/tech_support.vue'
import documents from '../modules/documents.vue'
import road_map from '../modules/road_map.vue'
import recent_news from '../modules/recent_news.vue'
import deal_platform from '../modules/deal_platform.vue'
import site_map from '../modules/site_map.vue'
import news_block from '../modules/news_block.vue'
import foot from '../modules/foot.vue'

// test 
import {
  query_news
} from '@/service'

export default {
  data () {
    return {
      description: ''
    }
  },
  mounted () {

  },
  async asyncData ({store}) {
    await store.dispatch('load_first_page_news');
  },
  beforeCreate () {

  },
  methods: {

  },
  components: {
    header_nav,
    main_slider,
    text_slider,
    tech_analytics,
    budget_analytics,
    manage_way,
    tech_support,
    documents,
    road_map,
    recent_news,
    deal_platform,
    site_map,
    our_advantage,
    our_services,
    solve_solution,
    news_block,
    foot
  }
}
</script>